Bug 981864 - [abrt] cobbler-2.2.3-2.fc17: templar.py:59:__init__:AttributeError: 'NoneType' object has no attribute 'api'
[abrt] cobbler-2.2.3-2.fc17: templar.py:59:__init__:AttributeError: 'NoneType...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James C.
Fedora Extras Quality Assurance
abrt_hash:5cb12e1e6f2f4793bdf71837acb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 09:37 EDT by frank.schletz
Modified: 2013-07-31 21:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:14:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (572 bytes, text/plain)
2013-07-06 09:37 EDT, frank.schletz
no flags Details
File: core_backtrace (259 bytes, text/plain)
2013-07-06 09:37 EDT, frank.schletz
no flags Details
File: environ (2.41 KB, text/plain)
2013-07-06 09:37 EDT, frank.schletz
no flags Details

  None (edit)
Description frank.schletz 2013-07-06 09:37:05 EDT
Description of problem:
use it and it will crash

Version-Release number of selected component:
cobbler-2.2.3-2.fc17

Additional info:
cmdline:        /usr/bin/python /usr/sbin/tftpd.py
executable:     /usr/sbin/tftpd.py
kernel:         3.9.8-100.fc17.x86_64
runlevel:       N 5
uid:            99
ureports_counter: 1

Truncated backtrace:
templar.py:59:__init__:AttributeError: 'NoneType' object has no attribute 'api'

Traceback (most recent call last):
  File "/usr/sbin/tftpd.py", line 1147, in <module>
    sys.exit(main())
  File "/usr/sbin/tftpd.py", line 1125, in main
    templar = cobbler.templar.Templar(None)
  File "/usr/lib/python2.7/site-packages/cobbler/templar.py", line 59, in __init__
    self.api         = config.api
AttributeError: 'NoneType' object has no attribute 'api'

Local variables in innermost frame:
logger: None
config: None
self: <cobbler.templar.Templar instance at 0x1f66ea8>
Comment 1 frank.schletz 2013-07-06 09:37:09 EDT
Created attachment 769599 [details]
File: backtrace
Comment 2 frank.schletz 2013-07-06 09:37:12 EDT
Created attachment 769600 [details]
File: core_backtrace
Comment 3 frank.schletz 2013-07-06 09:37:16 EDT
Created attachment 769601 [details]
File: environ
Comment 4 Fedora End Of Life 2013-07-31 21:14:52 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.